4 replies [Last post]
Joined: 03/16/2020
Groups: None

Hello,

I would like to run FoldIt on my Fedora 31 workstation. I just downloaded the program, I installed freeglut. which I heard is a dependency. Then when I want to run the app, after the update I get the following:

"/Foldit
terminate called after throwing an instance of 'std::logic_error'
what(): basic_string::_S_construct null not valid
[1] 17505 abort (core dumped) ./Foldit"

I use ZSH, but I do not think it matters.

Thanks!

Armand

Joined: 09/19/2011
That's a known issue. Always

That's a known issue. Always happens after an update, it's been like that for years. Just restart Foldit and it will run normally though.

Also beware that the Linux client will sometimes crash while running scripts. Again restarting Foldit will fix this. It is rumored that is due to a bug in the Lua interpreter on Linux.

Joined: 11/05/2019
Groups: Foldit Staff
Did that help?

Hi Bozsikarmand! Did that suggestion help? If not, I can pass this along to the team--thank you!

Sitemap

Developed by: UW Center for Game Science, UW Institute for Protein Design, Northeastern University, Vanderbilt University Meiler Lab, UC Davis
Supported by: DARPA, NSF, NIH, HHMI, Amazon, Microsoft, Adobe, RosettaCommons